package com.zcloud.zcGbsServicer.persistence.repository.impl;

import com.jjb.saas.framework.repository.common.PageHelper;
import com.zcloud.zcGbsServicer.persistence.dataobject.ControlRoomDO;
import com.zcloud.zcGbsServicer.persistence.mapper.ControlRoomMapper;
import com.zcloud.zcGbsServicer.persistence.repository.ControlRoomRepository;
import com.alibaba.cola.dto.PageResponse;
import com.zcloud.gbscommon.utils.PageQueryHelper;
import com.zcloud.gbscommon.utils.Query;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jjb.saas.framework.repository.repo.impl.BaseRepositoryImpl;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import java.util.Map;

/**
* web-infrastructure
* @Author makejava
* @Date 2026-01-21 17:21:50
*/
@Service
@RequiredArgsConstructor
public class ControlRoomRepositoryImpl extends BaseRepositoryImpl<ControlRoomMapper, ControlRoomDO> implements ControlRoomRepository {
    private final ControlRoomMapper controlRoomMapper;

    @Override
    public  PageResponse<ControlRoomDO> listPage(Map<String,Object> params) {
    IPage<ControlRoomDO> iPage = new Query<ControlRoomDO>().getPage(params);
        QueryWrapper<ControlRoomDO> queryWrapper = new QueryWrapper<>();
        queryWrapper = PageQueryHelper.createPageQueryWrapper(queryWrapper, params);
        queryWrapper.orderByDesc("create_time");
        IPage<ControlRoomDO> result = controlRoomMapper.selectPage(iPage, queryWrapper);
        return PageHelper.pageToResponse(result, result.getRecords());
    }

    @Override
    public ControlRoomDO getById(Long id) {
        return controlRoomMapper.selectById(id);
    }
}

